Description

On installing foreman 1.2 using the foreman installer (vagrant project here [1]) the import environment and classes functionality does

not work. This issue has also been discussed on the foreman-user mailing list [2]. In summary:

2 environments defined - production & development

puppet.conf: https://gist.github.com/dizz/5950107

Example structure: /etc/puppet/environments/production example structure (showing paths to init.pp): 

https://gist.github.com/dizz/5950994

Andy

[1] https://github.com/dizz/vagrant-foreman

[2] https://groups.google.com/d/topic/foreman-users/H2WIGMfXIAI/discussion

Associated revisions

Revision 83c98163 - 07/17/2013 01:12 PM - Dominic Cleal

fixes #2770 - create modules/ subdir for each environment

History

#1 - 07/10/2013 12:12 PM - Dominic Cleal

- Target version set to 1.2.1

#2 - 07/15/2013 06:31 AM - Przemyslaw Bak

The Foreman 1.2 + Puppet 3.2.2 with simple config - the same behaviour: cannot import puppet environments.

The Foreman just after installation is at the moment unusable.

#3 - 07/17/2013 01:09 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

I think I see what's happening, the correct environment directory structure isn't being created by the installer (we were trying to standardise the paths

it uses in different configs).

[production]

        modulepath     = /etc/puppet/environments/production/modules:/etc/puppet/environments/common:/usr/shar

e/puppet/modules

 Note the path is /etc/puppet/environments/production/modules but the modules are installed under /etc/puppet/environments/production (missing the

last modules/).  The installer is only creating up to /etc/puppet/environments/production without the modules/ subdir, which is likely to throw you (it just

did me too).

#4 - 07/17/2013 01:13 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing
https://github.com/theforeman/puppet-puppet/pull/80

#5 - 07/17/2013 01:30 PM - Andy Edmonds

I've just tested this and it works! Thanks very much Dominic!

Dominic Cleal wrote:

https://github.com/theforeman/puppet-puppet/pull/80

#6 - 07/18/2013 12:44 PM - Sam Kottler

- Status changed from Ready For Testing to Closed

The pull request got merged.
